<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZOrderSF7EditViewBase from './ibizorder-sf7-edit-view-base.vue';

import view_form from '@widgets/ibizorder/uipart-0006-form/uipart-0006-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZOrderSF7EditView extends IBIZOrderSF7EditViewBase {

}
</script>